Bug 10332 - sync won't talk to rsync-3.1.0
sync won't talk to rsync-3.1.0
Status: ASSIGNED
Product: rsync
Classification: Unclassified
Component: core
3.1.1
All All
: P5 normal
: ---
Assigned To: Wayne Davison
Rsync QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-17 18:06 UTC by mal
Modified: 2014-03-18 16:18 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mal 2013-12-17 18:06:39 UTC
I have a client copying server data for backup using rsync over ssh

rsync --numeric-ids --partial -az --rsh=ssh --del --compress root@1.2.3.4:/home_server_path/ /path_to_local_backup/

the problem:
if server rsync is compiled from rsync-3.0.9-12.fc19.src.rpm
then any client rsync version works fine (rsync-3.0.9, rsync-3.1.0-2 , rsync-3.1pre1)

If server rsync is compiled from rsync-3.1.0-2.fc21.src.rpm
then no client rsync works to completion.
Typically transfer starts, go for 1-2 hours, then fails with error message like this:

--------- client 3.1.0pre1 errors----------
inflate returned -3 (0 bytes)
rsync error: error in rsync protocol data stream (code 12) at token.c(557) [receiver=3.1.0pre1]
rsync: connection unexpectedly closed (2454943 bytes received so far) [generator]
rsync error: error in rsync protocol data stream (code 12) at io.c(226) [generator=3.1.0pre1]
inflate returned -3 (0 bytes)
rsync error: error in rsync protocol data stream (code 12) at token.c(557) [receiver=3.1.0pre1]
rsync: [generator] write error: Broken pipe (32)
rsync error: error in socket IO (code 10) at io.c(837) [generator=3.1.0pre1]
------------ client 3.0.9 errors ----------
inflate returned -3 (0 bytes)
rsync error: error in rsync protocol data stream (code 12) at token.c(548) [receiver=3.0.9]
rsync: connection unexpectedly closed (1575 bytes received so far) [generator]
rsync error: error in rsync protocol data stream (code 12) at io.c(605) [generator=3.0.9]
inflate returned -3 (0 bytes)
rsync error: error in rsync protocol data stream (code 12) at token.c(548) [receiver=3.0.9]
rsync: connection unexpectedly closed (1403 bytes received so far) [generator]
rsync error: error in rsync protocol data stream (code 12) at io.c(605) [generator=3.0.9]

--------------------

see https://bugzilla.redhat.com/show_bug.cgi?id=1043965 
for original report
Comment 1 Wayne Davison 2013-12-23 17:21:48 UTC
A "connection unexpectedly closed" means that the other side went away (or something in the middle closed the connection), so you need to figure out what is happening that causes the connection to close.  Some suggestions for what to do are on the http://rsync.samba.org/issues.html page (e.g. see the rsync-debug script).
Comment 2 mal 2013-12-23 17:31:26 UTC
Correct, the rsync-3.1.0-2.fc21.src.rpm running on the server unexpectedly closed connection in the middle of a transfer. And client rsync reported this.
I will try look how to get server rsync debug.
Comment 3 Orion Poplawski 2014-03-18 16:18:28 UTC
I'm guessing a dupe of bug 10372?